Subject: Re: powerpc: cmp -> cmpd for 64-bit

From: Segher Boessenkool <[email-masked]>
Date: Tue, 13 Dec 2016 22:25:46 -0600

On Wed, Dec 14, 2016 at 02:01:50PM +1030, Joel Stanley wrote:
> >> With older binutils this is silently accepted as if this was "cmpw",
> >> while often "cmpd" is wanted.  With newer binutils GAS will complain
> >> about this for 64-bit code.  For 32-bit code it still silently assumes
> >> "cmpw" is what is meant.

> This one made it into 4.9-rc3 as "powerpc: Convert cmp to cmpd in idle
> enter sequence". We need it to build the 4.4 kernel with GCC 6.2, so
> my OpenPower firmware builds are failing.

The GCC version does not matter; the binutils version does, however.

Segher